## kusa 1.5-ku25-05a

=== debian/changelog ===
kusa (1.5-ku25-05a) unstable; urgency=low

  * srv-mail
    - fix: vmail setup various error (filepath called with -f option, filepath used
    	   instead of create_dir, missing vmail user)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 25 May 2025 15:07:24 +0200

kusa (1.5-ku25-03c) unstable; urgency=low

  * sbin/kusa-reconf, sbin/kusa-functions.sh
    - mod: today dates now in ISO format (YYYY-mm-dd instead of YYYY.mm.dd)
    - mod: conferma() pseudofunc renamed to confirm()
    - mod: minor changes to comments

  * base-server/pkgs-install
    - add: xfsprogs

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 15 Mar 2025 10:17:17 +0100

kusa (1.5-ku25-03a) unstable; urgency=low

  * srv-mail
    - add: dovecot virtual users support (up to now we would able to setup virtual
    	   user manually, now is integrated in the module);
	    - user db file /etc/dovecot/users
	    - utility to add/update virtual user: /usr/sbin/ku_vmail_user
	    - default homes in /home/vmail/%u (

	   related additions in module dist file:
  	    - vmail_user	system user (name, not uid)
  	    - vmail_gid		system group (name or gid)
  	    - vmail_homes	virtual users homes (%u will be appended)
  	    - vmail_quota	default quota

     - add: dovecot/conf.d/99-ku-debug.conf
     	   inactive config file, you can change it on-the-fly to activate
	   various debug options

  * cln-kernels
    - upd: daedalus version from 28 to 31

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 05 Mar 2025 15:52:05 +0100

kusa (1.5-ku25-02a) unstable; urgency=low

  * WIP: pve (proxmox) partial support
    - the class must be set to 'none'
    - only few modules are allowed (atm: base-rsync, local-pre, local)
    - kusa-bootstrap adds daedalus (=debian-12) repos
    - ku-distroenv from ku-base package is modified ($DISTRIB_IS_PVE added)
      pve systems are tagged as 'pve-debian-12'
    - added right id (or *) to 'relcompat' in modules available to pve
    - new modules: base-pve, base-net, base-builtin-cleanup; replaces the same
      modules with a proxmox customized ones, with a small packages subset,
      no-op post-install, etc; the changes on system are minimized

  * net
    - fix: added laptop* to if_schema that needs network-manager by default

  * base/pkgs-install.{chimaera,daedalus}
    - add: dislocker package, to read bitlocker partitions
    - add: zstd, super fast compression suite

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 03 Feb 2025 09:13:07 +0100

kusa (1.5-ku25-01a) unstable; urgency=low

  * base-users/default_users
    - fix: typo in 'nobody' user definition, missing a semicolon ":" will result to
    	   wrong group setting

  * net
    - add: interfaces.kiosk+dhcp

  * srv-virt
    - fix: removed base-iscsi from required modules

  * base-extend
    - fix: hddtemp package no more available starting from daedalus

  * cln-kernels
    - upd: daedalus default kernel from 6.1.0-23-amd64 to 6.1.0-28-amd64

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 15 Jan 2025 17:09:46 +0100

kusa (1.5-ku24-09a) unstable; urgency=low

  * Ubuntu/srv-virt/pkgs-install
    - fix: retrocompatibily, package ku-virt-utils was missing

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 08 Sep 2024 08:47:49 +0200

kusa (1.5-ku24-08b) unstable; urgency=low

  * base-syslog
    - fix: debian/ubuntu uses 'root' as default user, not 'syslog'

  * cln-kernels
    - upd: daedalus, default kernel from 6.1.0-16-amd64 to 6.1.0-23-amd64

  * base-users
    - upd: as new debian/devuan policy, user nobody is now in the nogroup group, instead
    	   of nobody group; the latter is commented (will not be deleted from existing
	   installations, but not created on new ones)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 17 Aug 2024 12:36:45 +0200

kusa (1.5-ku24-07b) unstable; urgency=low

  * srv-virt
    - add: pkgs-install.daedalus (same of chimaera, at the moment)
  * base/run-install
    - fix: /etc/localtime link is missing full path

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 26 Mar 2024 15:22:09 +0100

kusa (1.5-ku24-03b) unstable; urgency=low

  * cli-zabbix
    - fix: wrong config dir /etc/zabbix/zabbix_agentd.conf.d (v5 packages vs v6 packages,
    	   directly from repos, used on zabbix server)

  * srv-glpi
    - add: glpi-genericobject-2.14.8 plugin
    - mod: kusa db definition moved from "glpi" to "srv-glpi"
    - fix: version checking logic

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 26 Mar 2024 14:12:16 +0100

kusa (1.5-ku24-03a) unstable; urgency=low

  * cli-glpi, relcompat
    - fix: not compatible with old ubuntu distros

  * base
    - fix: /etc/localtime is a symlink on modern systems, not a file (changed run-install
    	   script to update the symlink instead of installing a bare file)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 07 Mar 2024 07:26:51 +0100

kusa (1.5-ku24-01b) unstable; urgency=low

  * cli-glpi
    - fix: init script must run under bash, not sh

  * dev-generic
    - fix: now installs linux-headers only if they can be installed (if you are using a
    	   custom kernel, maybe you don't have access to related linux-header package)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 06 Mar 2024 18:03:00 +0100

kusa (1.5-ku24-01a) unstable; urgency=low

  * cln-kernels
    - upd: daedalus, to 6.1.0-16-amd64

  * mnt-vncserver
    - fix: don't restart service (=destroy any current, active session!)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 24 Jan 2024 17:12:36 +0100

kusa (1.5-ku23-11d) unstable; urgency=low

  * srv-glpi
    - add: notes.txt
    - add: plugin glpi-fields-1.21.6

  * (classes)
    - add: server.glpi

  * bin/ku-machine-icon
    - add: server.glpi


