=== modules/net-vpn/Makefile ===
# ::maintainer::
# ::copy::
#
_lastmake: remotes makeconf.sh config Makefile
	./makeconf.sh
	touch _lastmake
