=== modules/srv-smail/Makefile ===
# /etc/postfix/Makefile (simple client version)
#
sasl_passwd.db:	sasl_passwd
	postmap sasl_passwd

../aliases.db:	../aliases
	newaliases
