=== modules/srv-dns/local/Makefile ===
# /etc/dnslocal/Makefile
#
# ::copy::
# ::maintainer::

BUILD_CMD=/usr/sbin/kudjb-dns-rebuild

data.cdb: data
	tinydns-data
	sh /etc/init.d/ku-djbdns restart

data: $(BUILD_CMD) *.src *.resolv
	$(BUILD_CMD)
