=== modules/srv-nagios/images/Makefile ===
GD2	:= $(shell ls *.png | sed -e 's/\.png/.gd2/')
GIF	:= $(shell ls *.png | sed -e 's/\.png/.gif/')
JPG	:= $(shell ls *.png | sed -e 's/\.png/.jpg/')

all: $(GD2) $(GIF) $(JPG)

%.gd2: %.png
	pngtogd2 $< $@ 0 1

%.gif: %.png
	convert $< $@

%.jpg: %.png
	convert $< $@
