=== modules/Ubuntu/base-ws/shutter/Makefile ===
shutter.patches: shutter.klabs
	diff -u shutter.original shutter.klabs > shutter.patches || :
