=== debian/changelog ===
kusa (1.5-ku25-10a) unstable; urgency=low

  * veeam-agent
    - add: new module, install and configure a default repo and job for
    	   veeam backups, Community Edition (no licence)
	   note: at the moment we only support SMB repositories
	   note: due CE licence, we cannot use scheduling, so we rely on cronjob,
	   	 see cron.d/veeam-agent for details, distfile for settings


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 28 Oct 2025 13:33:09 +0100

kusa (1.5-ku25-06a) unstable; urgency=low

  * srv-mail
    - fix: permissions on vmail installed files, causing dovecot to stop working

  * cln-kernels
    - upd: default kernel for daedalus, from 6.1.0-31-amd64 to 6.1.0-37-amd64

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 06 Jun 2025 11:00:48 +0200
