=== debian/control ===
Source: kusa
Section: klabs
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Maintainer: Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>
Homepage: http://www.kubiclabs.com/

Package: kusa
Architecture: all
Depends: ${misc:Depends}, liboptions-file-perl (>=2.8), ku-base (>=1.2-ku25-02a), ku-file-utils, ku-jtools (>=1.1), kuwatcher (>=0.3), ku-nagios-plugins (>=1.0-ku19-0), bc, bzip2, file
Description: KUBiC Labs Auto Builder tools - system autoconfiguration
 A class based system configuration tool, aimed to work on
 large networks, using a centralized configuration database
 and inheritance to propagate system settings.
 .
 This tool resides on top of packaging system, and works
 on configuration files and automation of packages
 installations.
