## kusa 1.5-ku25-12a

=== debian/changelog ===
kusa (1.5-ku25-12a) unstable; urgency=low

  base (prevent SSD swap trashing)
    - add: sysctl custom settings to reduce unnecessary SSD drives strain:

    	. vm.swappiness set to 90 instead of default 60
	. vm.vfs_cache_pressure set to 50 instead of default 5

    	see also dist-base, kusa db settings:

	. sysctl.vm_swappiness
	. sysctl.vfs_cache_pressure

  base (quiet HD for NAS)
    - add: sysctl custom settings for HDs usages, set common.quiet_hds to yes

  sbin/kusa-bootstrap
    - add: Devuan-6 to allowed distros


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 10 Dec 2025 11:51:34 +0100
