## kusa 1.5-ku26-01a

=== debian/changelog ===
kusa (1.5-ku26-01a) unstable; urgency=low

  general: Devuan-6 (excalibur = Debian 13) support (D6, WIP)

  srv-web
    - mod: removed all Ubuntu stuff (original module moved into Ubuntu subdir)
    - add: D6, dist file for excalibur
    - mod: D6, standardized php.ini
    - fix: proper php.ini installed for 'cli' also

  srv-web-linfo
    - fix: check for php version (must be 7)

  base/run-install
    - fix: error if no files in /etc/sysctl.d directory

  builtin-cleanup
    - fix: D6, added excalibur to exclude libapparmor-perl install

  base-repos
    - fix: D6, switched to new keyring syntax (per repository)

  bin/ku-update-server-homepage
    - mod: minor changes to layout, better use of icons, no more lists, all
    	   icon based (must use updated ku-images package to work)

  sbin/kusa-functions.sh
    - new: added entries remove/replace in pkgs files list, you can list an entry
    	   starting with dash "-", so the entry will be removed from resulting
	   list; this will simplify the list management (up to now if a package
	   is no more available on a release, we was forced to edit ALL the
	   lists to remove the package and add it to ALL the previous release
	   specific list, now we can create the list for the new release, mark
	   the package to be removed, and add, if any, the replacements)

    - fix: wrong permissions on auto dist files in /etc/kusa/conf.d

  sbin/kusa-bootstrap
    - fix: stop using apt-key, now uses new format (per repository) gpg key definition;
    	   note that you need to update klabs repo list, too:

	   # update keyring
	   kusa-bootrap -k

	   # update apt lists
	   kusa-reconf -f base-repos


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 02 Jan 2026 17:58:31 +0100
