## kusa 1.5-ku26-01b

=== debian/changelog ===
kusa (1.5-ku26-01b) unstable; urgency=low

  * classes
    - add: server.nextcloud

  * sudo
    - fix: renamed installed sudo files, now are numbered with the right
    	   precedence (first general ones, then more specific ones)

  * srv-nextcloud
    - WIP: proceeding with module implementation

  * omv-base
    - WIP: started OpenMediaVault support
	   - at the moment, only some packages install (general utils)
    	   - see ku-base changes, too (DISTRIB_IS_OMV added)

  * bin/ku-machine-icon
    - fix: typo for nextcloud (was nexcloud)

  * debian/control
    - del: removed depend from ku-nagios-plugins (>=1.0-ku19-0)
    	   (why was here? kusa doesn't needs any from this package,
	   maybe some problem with cli-nagios module, addressed in the
	   wrong way?)

  * base-extend/pkgs.install
    - del: removed minicom and statserial (who is them today?)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 19 Jan 2026 14:47:01 +0100
