=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: kusa
 Architecture: all
-Depends: ${misc:Depends}, liboptions-file-perl (>=2.8), ku-base (>=1.2-ku25-02a), ku-file-utils, ku-jtools (>=1.1), kuwatcher (>=0.3), ku-nagios-plugins (>=1.0-ku19-0), bc, bzip2, file
+Depends: ${misc:Depends}, liboptions-file-perl (>=2.8), ku-base (>=1.2-ku26-01a), ku-file-utils, ku-jtools (>=1.1), kuwatcher (>=0.3), ku-images (>=1.0-ku26-01a), bc, bzip2, file
 Description: KUBiC Labs Auto Builder tools - system autoconfiguration
  A class based system configuration tool, aimed to work on
  large networks, using a centralized configuration database
