## kusa 1.5-ku26-01c

=== debian/changelog ===
kusa (1.5-ku26-01c) unstable; urgency=low

  * base
    - add: updatedb.conf new kusa db vars:

  	locate.prunenames   .git .bzr .hg .svn
  	locate.prunefs      NFS nfs nfs4 smbfs cifs
  	locate.prunepaths   (empty)

      network mounted fs pruning can be now disabled (so ENABLING scan)
      removing them from locate.prunfs var

    - fix: plocate package not yet available for jessie and ascii distros

  * srv-samba
    - add: samba share ABE enumeration flag, set "abe_access" Yes or No
    	   system wide (samba_share.abe_access) or for specific shares
	   (samba_share.NAME.abe_access)

  * cli-nfs/run-install
    - fix: calls mount -a on type nfs instead of nfs4
    - add: make mountpoint dirs immutable (chattr +i) so anyone can write
    	   inside if not mounted; this work only on unmounted dirs, so
	   to make it effective calls   umount -t nfs4 -a  before updating
	   cli-nfs module

  * bin/ku-machine-icon
    - fix: crash on line 136 if $DESC not defined and kusa-conf fails

  * cli-ssh (daedalus)
    - fix: wrong cipher list


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 31 Jan 2026 13:12:32 +0100
